import React from 'react'
import { th } from '@pubsweet/ui'
import styled, { css } from 'styled-components'

const ReviewerReports = ({ project: { invitations = [] } }) => {
  const accepted = invitations.filter(i => i.isAccepted).length
  return (
    <ReviewerText>{`Reviewer reports (${accepted}/${
      invitations.length
    })`}</ReviewerText>
  )
}

export default ReviewerReports

// #region styled-components
const defaultText = css`
  color: ${th('colorText')};
  font-family: ${th('fontReading')};
  font-size: ${th('fontSizeBaseSmall')};
`

const ReviewerText = styled.div`
  ${defaultText};
  margin-right: ${th('subGridUnit')};
  text-transform: uppercase;
`
// #endregion
